Package csb :: Package statistics :: Package pdf :: Class GeneralizedInverseGaussian

[frames] | no frames]

# Class GeneralizedInverseGaussian

source code

         object --+
                  |
    AbstractDensity --+
                      |
            BaseDensity --+
                          |
                         GeneralizedInverseGaussian

Nested Classes
Inherited from `AbstractDensity`: `__metaclass__`

Instance Methods

__init__(self, a=1, b=1, p=1) x.__init__(...) initializes x; see help(type(x)) for signature | source code

array

log_prob(self, x) Evaluate the logarithm of the probability of observing values `x`. | source code

random(self, size=None) Generate random samples from the probability distribution. | source code

Inherited from `AbstractDensity`: `__call__`, `__getitem__`, `__setitem__`, `__str__`, `estimate`, `evaluate`, `get_params`, `set_params` Inherited from `object`: `__delattr__`, `__format__`, `__getattribute__`, `__hash__`, `__new__`, `__reduce__`, `__reduce_ex__`, `__repr__`, `__setattr__`, `__sizeof__`, `__subclasshook__`

Class Variables
| __abstractmethods__ = ``frozenset([``])``

Properties
| a
| b
| p
Inherited from `AbstractDensity`: `estimator`, `parameters` Inherited from `object`: `__class__`

Method Details

### __init__(self, a=1, b=1, p=1)
(Constructor)

source code

x.__init__(...) initializes x; see help(type(x)) for signature

Overrides: object.__init__
  (inherited documentation)

### log_prob(self, x)

source code

Evaluate the logarithm of the probability of observing values `x`.

Parameters:
  - `x` - values
Returns: array
Overrides: AbstractDensity.log_prob
  (inherited documentation)

### random(self, size=None)

source code

Generate random samples from the probability distribution.

Parameters:
  - `size` - number of values to sample
Overrides: AbstractDensity.random
  (inherited documentation)

Property Details

### a

Get Method:
  unreachable.a(self)
Set Method:
  unreachable.a(self, value)

### b

Get Method:
  unreachable.b(self)
Set Method:
  unreachable.b(self, value)

### p

Get Method:
  unreachable.p(self)
Set Method:
  unreachable.p(self, value)